edge_alert 0.0.1
edge_alert: ^0.0.1

Flutter Android iOS web

A Flutter package that shows alert from top or bottom of the screen .

Edge Alert #

A Flutter package that shows alert from top or bottom of the screen.

How to Use #

# add this line to your dependencies
edge_alert: ^0.0.1
import 'package:edge_alert/edge_alert.dart';
EdgeAlert.show(context, title: 'Title', description: 'Description', gravity: EdgeAlert.TOP);
propertydescription
contextBuildContext (Not Null)(required)
title'Your title goes here'
description'Your description goes here'
iconIconData (Default: Icons.notifications)
backgroundColorColor() (Default Colors.grey)
durationEdgeAlert.LENGTH_SHORT(1 second, Default) or EdgeAlert.LENGTH_LONG(2 sec) or EdgeAlert.LENGTH_VERY_LONG(3 sec)
gravityEdgeAlert.TOP(Default) or EdgeAlert.BOTTOM

EdgeAlert

Inspiration #

https://github.com/Tapadoo/Alerter/

License #

MIT License
27
likes
90
pub points
90%
popularity

A Flutter package that shows alert from top or bottom of the screen .

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

mohamed.scholar6996@gmail.com

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on edge_alert